Changes between and of Initial VersionVersion 3Ticket #5715


Ignore:
Timestamp:
08/27/2013 02:55:24 PM (7 years ago)
Author:
Thijs Triemstra
Comment:

Update ticket description.

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #5715

    • Property Priority changed from normal to lowest
    • Property Keywords easy removed
    • Property Cc Thijs Triemstra added
  • Ticket #5715 – Description

    initial v3  
    44
    55
    6  {{{
    7  ./twisted/trial/test/test_assertions.py:            # Python 2.5 and
    8  earlier, stacklevel of 0 resulted in a warning
    9  ./twisted/__init__.py:    raise RuntimeError("Twisted requires Python 2.5
    10  or later.")
    11  ./twisted/web/xmlrpc.py:            raise RuntimeError("useDateTime
    12  requires Python 2.5 or later.")
    13  ./twisted/web/xmlrpc.py:            raise RuntimeError("useDateTime
    14  requires Python 2.5 or later.")
    15  ./twisted/web/_flatten.py:            # In Python 2.5, after an exception,
    16  a generator's gi_frame is
    17  ./twisted/topfiles/setup.py:    print >>sys.stderr, "You must use at least
    18  Python 2.5 for Twisted"
    19  ./twisted/python/filepath.py:            # Under Python 2.5 on Windows,
    20  WindowsError has a winerror
    21  ./twisted/python/filepath.py:            # ERROR_PATH_NOT_FOUND.  However,
    22  in Python 2.5,
    23  ./twisted/python/filepath.py:    precision, call
    24  C{os.stat_float_times(True)}, or use Python 2.5.
    25  ./twisted/internet/defer.py:    requirement of Python 2.5, consider the
    26  use of L{inlineCallbacks} instead,
    27  ./twisted/internet/defer.py:    regular sequential function. This function
    28  uses features of Python 2.5
    29  ./twisted/internet/test/test_sigchld.py:    # random), Python 2.5 has
    30  set_wakeup_fd but not siginterrupt.
    31  ./twisted/internet/test/test_inlinecb.py:Conditional import of
    32  C{inlinecb_tests} for Python 2.5 and greater.
    33  ./twisted/internet/selectreactor.py:            # subclass, but on Python
    34  2.5 and earlier it is not.)
    35  ./twisted/conch/checkers.py:    # Python 2.5 got spwd to interface with
    36  shadow passwords
    37  ./twisted/test/generator_failure_tests.py:Python 2.5+ test cases for
    38  failures thrown into generators.
    39  ./twisted/words/protocols/jabber/xmpp_stringprep.py:    # We require
    40  Unicode version 3.2. Python 2.5 and later provide this as
    41  ./twisted/application/app.py:                # Python 2.5 and above
    42  supports a stream attribute
    43  }}}
     6{{{
     7./twisted/trial/test/test_assertions.py:724:            # Python 2.5 and earlier, stacklevel of 0 resulted in a warning
     8./twisted/web/_flatten.py:314:            # In Python 2.5, after an exception, a generator's gi_frame is
     9./twisted/python/util.py:873:    2.5's implementation of L{id} always returns positive values.
     10./twisted/python/filepath.py:333:            # Under Python 2.5 on Windows, WindowsError has a winerror
     11./twisted/python/filepath.py:348:            # ERROR_PATH_NOT_FOUND.  However, in Python 2.5,
     12./twisted/python/filepath.py:608:    precision, call C{os.stat_float_times(True)}, or use Python 2.5.
     13./twisted/python/filepath.py:609:    Greater-than-second precision is only available in Windows on Python2.5 and
     14./twisted/python/dist.py:422:    On 2.5, it will try to extract the implementation from sys.subversion. On
     15./twisted/python/dist.py:437:        # For 2.5:
     16./twisted/internet/selectreactor.py:119:            # subclass, but on Python 2.5 and earlier it is not.)
     17./twisted/conch/checkers.py:18:    # Python 2.5 got spwd to interface with shadow passwords
     18./twisted/test/test_failure.py:859:    Tests C{failure.Failure} support for generator features added in Python 2.5
     19./twisted/internet/unix.py:230:        if sys.version_info > (2, 5) or _inFilesystemNamespace(self.port):
     20./twisted/test/test_twisted.py:192:    unsupportedPythonVersion = (2, 5)
     21}}}